# 🌐 Go Simple Web App

Welcome to the Go Simple Web App! 🚀 This is a basic web application written in Go that serves a simple HTML page. The page displays the hostname of the system where the app is running.

## 📜 Overview

This project demonstrates a simple Go web server that:

- Serves a static HTML page.
- Displays the hostname of the server on the web page.
- Utilizes Go's standard library packages for HTTP handling and templating.

## Why? 🥅

The goal of this project is to **Devopsify** it completely. 🎯 This means we aim to:

- **Containerize** the application with Docker for consistent and isolated environments.
- **Automate** the build, test, and deployment processes using CI/CD pipelines.
- **Monitor** and **log** application performance to ensure reliability and ease of troubleshooting.
- **Integrate** the app with various DevOps tools and practices to streamline development and operations workflows.

## 🛠️ Getting Started

### Prerequisites

Ensure you have Go installed on your system. You can download it from the [Official Go website](https://go.dev/dl/).


---